# DataExchange
TKXSBase
StepData

# StepData_SelectNamed Class Reference

This select member can be of any kind, and be named
But its takes more memory than some specialised ones
This class allows one name for the instance
.

`#include <StepData_SelectNamed.hxx>`

Inheritance diagram for StepData_SelectNamed:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_SelectNamed ()
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Tells if a SelectMember has a name. Default is False .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns the name of a SelectMember. Default is empty .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Sets the name of a SelectMember, returns True if done, False if no name is allowed Default does nothing and returns False .
Standard_EXPORT const StepData_Field & | Field () const
Standard_EXPORT StepData_Field & | CField ()
virtual Standard_EXPORT Standard_Integer | Kind () const
virtual Standard_EXPORT void | SetKind (const Standard_Integer kind)
virtual Standard_EXPORT Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) .
virtual Standard_EXPORT void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) .
virtual Standard_EXPORT Standard_Real | Real () const
virtual Standard_EXPORT void | SetReal (const Standard_Real val)
virtual Standard_EXPORT Standard_CString | String () const
virtual Standard_EXPORT void | SetString (const Standard_CString val)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | thename
StepData_Field | theval

## Constructor & Destructor Documentation

Standard_EXPORT StepData_SelectNamed::StepData_SelectNamed | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepData_Field& StepData_SelectNamed::CField | ( |  | ) |

Standard_EXPORT const StepData_Field& StepData_SelectNamed::Field | ( |  | ) | const

Standard_EXPORT const StepData_SelectNamed::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepData_SelectMember.

Reimplemented in StepData_SelectArrReal, StepElement_CurveElementFreedomMember, StepElement_CurveElementPurposeMember, StepElement_ElementAspectMember, StepElement_MeasureOrUnspecifiedValueMember, StepElement_SurfaceElementPurposeMember, StepElement_VolumeElementPurposeMember, StepFEA_DegreeOfFreedomMember, StepFEA_SymmetricTensor23dMember, and StepFEA_SymmetricTensor43dMember.

virtual Standard_EXPORT Standard_Boolean StepData_SelectNamed::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember. Reimplemented in StepElement_CurveElementFreedomMember, StepElement_CurveElementPurposeMember, StepElement_ElementAspectMember, StepElement_MeasureOrUnspecifiedValueMember, StepElement_SurfaceElementPurposeMember, StepElement_VolumeElementPurposeMember, StepFEA_DegreeOfFreedomMember, StepFEA_SymmetricTensor23dMember, and StepFEA_SymmetricTensor43dMember.

virtual Standard_EXPORT Standard_Integer StepData_SelectNamed::Int | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Integer StepData_SelectNamed::Kind | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember. Reimplemented in StepData_SelectArrReal.

virtual Standard_EXPORT Standard_CString StepData_SelectNamed::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember. Reimplemented in StepElement_CurveElementFreedomMember, StepElement_CurveElementPurposeMember, StepElement_ElementAspectMember, StepElement_MeasureOrUnspecifiedValueMember, StepElement_SurfaceElementPurposeMember, StepElement_VolumeElementPurposeMember, StepFEA_DegreeOfFreedomMember, StepFEA_SymmetricTensor23dMember, and StepFEA_SymmetricTensor43dMember.

virtual Standard_EXPORT Standard_Real StepData_SelectNamed::Real | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepData_SelectNamed::SetInt | ( | const Standard_Integer | val | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepData_SelectNamed::SetKind | ( | const Standard_Integer | kind | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Boolean StepData_SelectNamed::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectMember. Reimplemented in StepElement_CurveElementFreedomMember, StepElement_CurveElementPurposeMember, StepElement_ElementAspectMember, StepElement_MeasureOrUnspecifiedValueMember, StepElement_SurfaceElementPurposeMember, StepElement_VolumeElementPurposeMember, StepFEA_DegreeOfFreedomMember, StepFEA_SymmetricTensor23dMember, and StepFEA_SymmetricTensor43dMember.

virtual Standard_EXPORT void StepData_SelectNamed::SetReal | ( | const Standard_Real | val | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepData_SelectNamed::SetString | ( | const Standard_CString | val | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepData_SelectNamed::String | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

## Field Documentation

TCollection_AsciiString StepData_SelectNamed::thename `[private]`

StepData_Field StepData_SelectNamed::theval `[private]`

The documentation for this class was generated from the following file:

- StepData_SelectNamed.hxx